/*Le css du header*/

header{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}

header ul{
    display: flex;
    flex-grow: 1;
    list-style: none;
    margin: 0%;
}

header li{
    display: flex;
    justify-content: center;
    padding-inline: 3%;
}

header a {
    color: black;
    text-decoration: none;
}

/* Css du haut du header*/

.haut_du_header{
    display: flex;
    background-color: #EFF1F5;
    flex-wrap: 0;
    padding-inline: 10em;
}

.haut_du_header ul{
    margin-left: 0em;
    padding-left: 0em;
}

/* Css du haut/gauche du header*/

.haut_gauche_du_header{
    flex-grow: 1;
    padding: 0%;
    margin: 0%;
    height: 4em;
}

.retour_a_lacceuil{
    background-color: black;
}

.retour_a_lacceuil h4 a{
    color: white;
}

/* Css du haut/droit du header*/

.haut_droit_du_header{
    flex-grow: 1;
    padding: 0%;
    margin: 0%;
    height: 4em;
}

.haut_droit_du_header li{
    flex-grow: 1;
}

.haut_droit_du_header h4{
    display: flex;
}

.haut_droit_du_header i{
    padding: 9px;
    background-color: #8A8E91;
    border-radius: 100%;
    color: white;
}

.haut_droit_du_header h4:hover i{
    background-color: #791866;
}

/* CSS de la partie situé au milieu du header */

.milieu_du_header{
    display: flex;
    height: 15em;
    padding-inline: 10em;
}

/* Css du milieu/gauche du header*/

.milieu_gauche_du_header{
    flex-basis: 30em;

}

/* Css du milieu/centre du header*/

.milieu_centre_du_header {
    flex-basis: 30em;
    padding-top: 4em;
}

.recherche {
    background-color: #eff1f5;
    padding: 2%;
    border: none;
    width: 80%;
    height: 45px;
    border-radius: 5px;
}

.boutton {
    position: absolute;
    padding: 0;
    background-color: #791866;
    border-color: transparent;
    height: 60px;
    width: 4em;
    border-radius: 0 3rem 3rem 0;
}

/* Css du milieu/droit du header*/

.milieu_droit_du_header{
    flex-basis: 30em;
    padding-top: 4em;
}

.milieu_droit_du_header ul{
    display: flex;
}

.milieu_droit_du_header li{
    display: flex;
    flex-direction: row;
    margin-inline: 10%;
}

.milieu_droit_du_header i{
    font-size: 90%;
    padding: 10px;
    color: white;
}

.facebook{
    background-color: #385899;
    border-radius: 100%;
}

.linkedin{
    background-color: #1180b9;
    border-radius: 100%;
}

.instagram{
    background-color: #e53e5f;
    border-radius: 100%;
}


/* CSS du bas de la barre de navigation du header*/

.bas_du_header {
    display: flex;
    background: linear-gradient(115deg,#791866 28%,#8A8E91 28%);
}

.logo_iut{
    margin-inline: 15em;
}

/*menu prinipal*/

.menu{
    background-color: transparent;
    width: 70em;
    font-size: 140%;
}

nav ul {
    display: inline-flex; 
    flex-direction: row; /* affichage horizontal */
    width: 60%; /* espacement entre les menus */
}
  
nav li {
    flex: auto ;
    padding: 0px;
}
  
nav  li {
    display: block;
    flex:flex-shrink;  /*occupe la largeur restante */
    transition: flex .4s;
}
  
nav  li:hover,
nav  li:focus {
    flex: 2;
}
  
nav  {
    color: #fff;
    background: rgba(117, 117, 117, 1);
    font-size: 1.0em;
    font-weight: bold;
  }
  
nav a, nav a:hover{
    display: block;
    padding: 0.7em;
    color: #fff;
    white-space: nowrap; /*empeche d'aller a la ligne*/
  }
  
/*menu déroulant*/
  
nav ul li ul {
   display:none;
}    
  
nav ul li:hover ul {
    display: block; /* affichage vertical */
    width:25%; /* largeur du sous menu */
  }

nav li:hover ul li {
    background: rgba(117, 117, 117, 1);
    font-size: 0.8em;
    padding-left:0.5em;
    font-weight: bold;
}   
  
nav  li ul  {
  position: absolute;
}
